Description

patch:

ide/Core/Core.h, line 509 : add ENC_LZ4 to the enum:

        enum {

            ENC_PLAIN,

            ENC_ZIP,

            ENC_BZ2,

            ENC_LZ4,

        };

ide/Core/BinObj.cpp, Line 37, Add this block "else if":

  else if(binscript.Id("LZ4"))

    blk.encoding = Block::ENC_LZ4;

ide/Core/Core.cpp 

 add this "case" at lines 466 & 506:

  case BinObjInfo::Block::ENC_LZ4: data = LZ4Compress(data); break;

 And at line 2 :  

#include <plugin/lz4/lz4.h>

finally, in order to simplify decompression, add this util overload in:

plugin/lz4/lz4:

String LZ4Decompress(Stream& in, Gate<int64, int64> progress)

{

    StringStream out;

    LZ4Decompress(out, in, progress);

    return out;

}

History

#1 - 04/22/2017 01:25 PM - Abdelghani Omari

- Status changed from New to Patch ready
#2 - 04/22/2017 08:43 PM - Zbigniew Rebacz

- Description updated

For complex patches i highly recommended diff format instead of plain text version. I wrote to you on slack - how to generated diff compatible with upp svn.

Moreover, you could add pre tag to indicates code in this message (I edited the first code block, so you could see how to do this for other - just edit the

description).

#3 - 04/22/2017 08:43 PM - Zbigniew Rebacz

- Description updated

#4 - 04/22/2017 11:49 PM - Abdelghani Omari

- Description updated

#5 - 05/01/2017 11:26 AM - Miroslav Fidler

Being there, also LZMA and Zstd...

#6 - 05/01/2017 11:26 AM - Miroslav Fidler

- Status changed from Patch ready to Approved
